from django.db import models
from django.contrib.sites.models import Site

class EmailConfiguration(models.Model):
    api_key = models.CharField(max_length=255)
    from_email = models.EmailField()
    from_name = models.CharField(max_length=255, help_text="The name that will appear in the From field of emails")
    reply_to = models.EmailField()
    site = models.ForeignKey(Site, on_delete=models.CASCADE)
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)

    def __str__(self):
        return f"{self.from_name} <{self.from_email}>"

    class Meta:
        verbose_name = "Email Configuration"
        verbose_name_plural = "Email Configurations"
